Package org.apache.commons.collections4.bag

# Class TransformedSortedBag<E>

java.lang.Object
org.apache.commons.collections4.collection.AbstractCollectionDecorator<E>
org.apache.commons.collections4.collection.TransformedCollection<E>
org.apache.commons.collections4.bag.TransformedBag<E>
org.apache.commons.collections4.bag.TransformedSortedBag<E>

Type Parameters:
  `E` - The type of elements in this bag

All Implemented Interfaces:
  `Serializable`, `Iterable<E>`, `Collection<E>`, `Bag<E>`, `SortedBag<E>`

@Deprecated public class TransformedSortedBag<E> extends TransformedBag<E> implements SortedBag<E>
Deprecated.
Since 4.6.0, use `TransformedSortedMultiSet` instead.
Decorates another `SortedBag` to transform objects that are added.

The add methods are affected by this class. Thus objects must be removed or searched for using their transformed form. For example, if the transformation converts Strings to Integers, you must use the Integer form to remove objects.

This class is Serializable from Commons Collections 3.1.

Since:
  3.0
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.commons.collections4.collection.TransformedCollection

  `transformer`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TransformedSortedBag(SortedBag<E> bag, Transformer<? super E,? extends E> transformer)`
  Deprecated.
  Constructor that wraps (not copies).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Comparator<? super E>`
  `comparator()`
  Deprecated.
  Returns the comparator associated with this sorted set, or null if it uses its elements' natural ordering.
  `E`
  `first()`
  Deprecated.
  Returns the first (lowest) member.
  `protected SortedBag<E>`
  `getSortedBag()`
  Deprecated.
  Gets the decorated bag.
  `E`
  `last()`
  Deprecated.
  Returns the last (highest) member.
  `static <E> TransformedSortedBag<E>`
  `transformedSortedBag(SortedBag<E> bag, Transformer<? super E,? extends E> transformer)`
  Deprecated.
  Factory method to create a transforming sorted bag that will transform existing contents of the specified sorted bag.
  `static <E> TransformedSortedBag<E>`
  `transformingSortedBag(SortedBag<E> bag, Transformer<? super E,? extends E> transformer)`
  Deprecated.
  Factory method to create a transforming sorted bag.

  ### Methods inherited from class org.apache.commons.collections4.bag.TransformedBag

  `add, equals, getBag, getCount, hashCode, remove, transformedBag, transformingBag, uniqueSet`

  ### Methods inherited from class org.apache.commons.collections4.collection.TransformedCollection

  `add, addAll, transform, transform, transformedCollection, transformingCollection`

  ### Methods inherited from class org.apache.commons.collections4.collection.AbstractCollectionDecorator

  `clear, contains, containsAll, decorated, isEmpty, iterator, remove, removeAll, removeIf, retainAll, setCollection, size, toArray, toArray, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.collections4.Bag

  `add, add, containsAll, getCount, iterator, remove, remove, removeAll, retainAll, size, uniqueSet`

  ### Methods inherited from interface java.util.Collection

  `addAll, clear, contains, equals, hashCode, isEmpty, parallelStream, removeIf, spliterator, stream, toArray, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

- ## Constructor Details

  - ### TransformedSortedBag

    protected TransformedSortedBag(SortedBag<E> bag, Transformer<? super E,? extends E> transformer)
    Deprecated.
    Constructor that wraps (not copies).

    If there are any elements already in the bag being decorated, they are NOT transformed.

    Parameters:
      `bag` - The bag to decorate, must not be null
      `transformer` - The transformer to use for conversion, must not be null
    Throws:
      `NullPointerException` - if bag or transformer is null

- ## Method Details

  - ### transformedSortedBag

    public static <E> TransformedSortedBag<E> transformedSortedBag(SortedBag<E> bag, Transformer<? super E,? extends E> transformer)
    Deprecated.
    Factory method to create a transforming sorted bag that will transform existing contents of the specified sorted bag.

    If there are any elements already in the bag being decorated, they will be transformed by this method. Contrast this with `transformingSortedBag(SortedBag, Transformer)`.

    Type Parameters:
      `E` - The type of the elements in the bag
    Parameters:
      `bag` - The bag to decorate, must not be null
      `transformer` - The transformer to use for conversion, must not be null
    Returns:
      A new transformed SortedBag
    Throws:
      `NullPointerException` - if bag or transformer is null
    Since:
      4.0

  - ### transformingSortedBag

    public static <E> TransformedSortedBag<E> transformingSortedBag(SortedBag<E> bag, Transformer<? super E,? extends E> transformer)
    Deprecated.
    Factory method to create a transforming sorted bag.

    If there are any elements already in the bag being decorated, they are NOT transformed. Contrast this with `transformedSortedBag(SortedBag, Transformer)`.

    Type Parameters:
      `E` - The type of the elements in the bag
    Parameters:
      `bag` - The bag to decorate, must not be null
      `transformer` - The transformer to use for conversion, must not be null
    Returns:
      A new transformed SortedBag
    Throws:
      `NullPointerException` - if bag or transformer is null
    Since:
      4.0

  - ### comparator

    public Comparator<? super E> comparator()
    Deprecated.
    Description copied from interface: `SortedBag`
    Returns the comparator associated with this sorted set, or null if it uses its elements' natural ordering.
    Specified by:
      `comparator` in interface `SortedBag<E>`
    Returns:
      The comparator in use, or null if natural ordering.

  - ### first

    public E first()
    Deprecated.
    Description copied from interface: `SortedBag`
    Returns the first (lowest) member.
    Specified by:
      `first` in interface `SortedBag<E>`
    Returns:
      The first element in the sorted bag.

  - ### getSortedBag

    protected SortedBag<E> getSortedBag()
    Deprecated.
    Gets the decorated bag.
    Returns:
      The decorated bag

  - ### last

    public E last()
    Deprecated.
    Description copied from interface: `SortedBag`
    Returns the last (highest) member.
    Specified by:
      `last` in interface `SortedBag<E>`
    Returns:
      The last element in the sorted bag.